View Issue Details

IDProjectCategoryView StatusLast Update
0000074WolfAdminGeneralpublic2019-01-03 11:11
ReporterTimoAssigned ToTimo 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version1.2.0Fixed in Version1.2.0 
Summary0000074: Improve portability
DescriptionTo support as many possible OSes, improve portability. Currently some file locations are hard-coded and should work on Unix-based systems and Windows, but constants are generally bad practice, so should be removed.
Steps To ReproduceInvolved files (for sure):
* main.lua (setting paths)
* commands.lua (loading)
* files.lua
TagsNo tags attached.
ModN/A
Mod version
Standaloneno

Relationships

related to 0000072 resolvedTimo Improve directory structure 
related to 0000071 resolvedTimo Load modules independent from path 

Activities

Timo

2017-01-18 15:36

administrator   ~0000085

Last edited: 2017-01-18 15:57

View 3 revisions

Partially fixed in cd4bf52aead69eef4220cc241c609c0dfd00b6e1.

Timo

2017-02-14 13:28

administrator   ~0000097

Windows should be fully compatible as of 1.2.0 and all paths are now relative.

Related Changesets

WolfAdmin: develop/1.2.0 cd4bf52a

2017-01-18 15:35:24

Timo

Details Diff
Dynamic loading of modules (fixes 0000071) Affected Issues
0000071, 0000074
mod - luamods/wolfadmin/admin/admin.lua Diff File
mod - luamods/wolfadmin/admin/balancer.lua Diff File
mod - luamods/wolfadmin/admin/bans.lua Diff File
mod - luamods/wolfadmin/admin/history.lua Diff File
mod - luamods/wolfadmin/admin/mutes.lua Diff File
mod - luamods/wolfadmin/admin/rules.lua Diff File
mod - luamods/wolfadmin/auth/acl.lua Diff File
mod - luamods/wolfadmin/auth/auth.lua Diff File
mod - luamods/wolfadmin/auth/shrubbot.lua Diff File
mod - luamods/wolfadmin/commands/admin/admintest.lua Diff File
mod - luamods/wolfadmin/commands/admin/balance.lua Diff File
mod - luamods/wolfadmin/commands/admin/ban.lua Diff File
mod - luamods/wolfadmin/commands/admin/enablevote.lua Diff File
mod - luamods/wolfadmin/commands/admin/finger.lua Diff File
mod - luamods/wolfadmin/commands/admin/gib.lua Diff File
mod - luamods/wolfadmin/commands/admin/greeting.lua Diff File
mod - luamods/wolfadmin/commands/admin/help.lua Diff File
mod - luamods/wolfadmin/commands/admin/incognito.lua Diff File
mod - luamods/wolfadmin/commands/admin/kick.lua Diff File
mod - luamods/wolfadmin/commands/admin/kickbots.lua Diff File
mod - luamods/wolfadmin/commands/admin/listaliases.lua Diff File
mod - luamods/wolfadmin/commands/admin/listlevels.lua Diff File
mod - luamods/wolfadmin/commands/admin/listmaps.lua Diff File
mod - luamods/wolfadmin/commands/admin/listplayers.lua Diff File
mod - luamods/wolfadmin/commands/admin/lock.lua Diff File
mod - luamods/wolfadmin/commands/admin/mute.lua Diff File
mod - luamods/wolfadmin/commands/admin/needbots.lua Diff File
mod - luamods/wolfadmin/commands/admin/nextmap.lua Diff File
mod - luamods/wolfadmin/commands/admin/pause.lua Diff File
mod - luamods/wolfadmin/commands/admin/plock.lua Diff File
mod - luamods/wolfadmin/commands/admin/punlock.lua Diff File
mod - luamods/wolfadmin/commands/admin/put.lua Diff File
mod - luamods/wolfadmin/commands/admin/putbots.lua Diff File
mod - luamods/wolfadmin/commands/admin/readconfig.lua Diff File
mod - luamods/wolfadmin/commands/admin/reset.lua Diff File
mod - luamods/wolfadmin/commands/admin/resetsprees.lua Diff File
mod - luamods/wolfadmin/commands/admin/restart.lua Diff File
mod - luamods/wolfadmin/commands/admin/rules.lua Diff File
mod - luamods/wolfadmin/commands/admin/setlevel.lua Diff File
mod - luamods/wolfadmin/commands/admin/showbans.lua Diff File
mod - luamods/wolfadmin/commands/admin/showhistory.lua Diff File
mod - luamods/wolfadmin/commands/admin/shuffle.lua Diff File
mod - luamods/wolfadmin/commands/admin/slap.lua Diff File
mod - luamods/wolfadmin/commands/admin/sprees.lua Diff File
mod - luamods/wolfadmin/commands/admin/stats.lua Diff File
mod - luamods/wolfadmin/commands/admin/swap.lua Diff File
mod - luamods/wolfadmin/commands/admin/time.lua Diff File
mod - luamods/wolfadmin/commands/admin/unban.lua Diff File
mod - luamods/wolfadmin/commands/admin/unlock.lua Diff File
mod - luamods/wolfadmin/commands/admin/unmute.lua Diff File
mod - luamods/wolfadmin/commands/admin/unpause.lua Diff File
mod - luamods/wolfadmin/commands/admin/vmute.lua Diff File
mod - luamods/wolfadmin/commands/admin/vunmute.lua Diff File
mod - luamods/wolfadmin/commands/admin/warn.lua Diff File
mod - luamods/wolfadmin/commands/client/ac.lua Diff File
mod - luamods/wolfadmin/commands/client/pm.lua Diff File
mod - luamods/wolfadmin/commands/client/r.lua Diff File
mod - luamods/wolfadmin/commands/client/wolfadmin.lua Diff File
mod - luamods/wolfadmin/commands/commands.lua Diff File
mod - luamods/wolfadmin/commands/server/cannounce.lua Diff File
mod - luamods/wolfadmin/commands/server/cchat.lua Diff File
mod - luamods/wolfadmin/commands/server/ccp.lua Diff File
mod - luamods/wolfadmin/commands/server/ccpm.lua Diff File
mod - luamods/wolfadmin/commands/server/cmusic.lua Diff File
mod - luamods/wolfadmin/commands/server/csay.lua Diff File
mod - luamods/wolfadmin/db/db.lua Diff File
mod - luamods/wolfadmin/db/mysql.lua Diff File
mod - luamods/wolfadmin/db/sqlite3.lua Diff File
mod - luamods/wolfadmin/game/bots.lua Diff File
mod - luamods/wolfadmin/game/fireteams.lua Diff File
mod - luamods/wolfadmin/game/game.lua Diff File
mod - luamods/wolfadmin/game/sprees.lua Diff File
mod - luamods/wolfadmin/game/teams.lua Diff File
mod - luamods/wolfadmin/game/voting.lua Diff File
mod - luamods/wolfadmin/main.lua Diff File
mod - luamods/wolfadmin/players/greetings.lua Diff File
mod - luamods/wolfadmin/players/players.lua Diff File
mod - luamods/wolfadmin/players/stats.lua Diff File
mod - luamods/wolfadmin/util/debug.lua Diff File
mod - luamods/wolfadmin/util/events.lua Diff File
mod - luamods/wolfadmin/util/files.lua Diff File
mod - luamods/wolfadmin/util/settings.lua Diff File
mod - luamods/wolfadmin/util/timers.lua Diff File
mod - luamods/wolfadmin/util/util.lua Diff File

WolfAdmin: develop/1.2.0 935f71d4

2017-02-14 13:23:14

Timo

Details Diff
Fixed platform detection on Windows (refs 0000074) Affected Issues
0000074
mod - luamods/wolfadmin/util/settings.lua Diff File

WolfAdmin: develop/1.2.0 a2f7f1de

2019-01-03 11:15:22

Timo

Details Diff
Fixed OS and mode detection (refs 0000061, 0000074)

* fixed OS detection echoing errors to log when executables are not available
* OS detection makes use of Unix/Windows native functions rather than environment variables which can be modified
* fixed ability to override standalone mode
Affected Issues
0000061, 0000074
mod - luamods/wolfadmin/util/settings.lua Diff File

Issue History

Date Modified Username Field Change
2017-01-17 18:48 Timo New Issue
2017-01-17 18:48 Timo Relationship added related to 0000072
2017-01-18 15:35 Timo Changeset attached => WolfAdmin develop 95ee8f2b
2017-01-18 15:35 Timo Assigned To => Timo
2017-01-18 15:35 Timo Resolution open => fixed
2017-01-18 15:36 Timo Note Added: 0000085
2017-01-18 15:36 Timo Status new => resolved
2017-01-18 15:36 Timo Fixed in Version => 1.2.0
2017-01-18 15:39 Timo Note Edited: 0000085 View Revisions
2017-01-18 15:39 Timo Status resolved => assigned
2017-01-18 15:39 Timo Relationship added related to 0000071
2017-01-18 15:56 Timo Changeset removed WolfAdmin develop 95ee8f2b =>
2017-01-18 15:56 Timo Changeset attached => WolfAdmin develop cd4bf52a
2017-01-18 15:57 Timo Note Edited: 0000085 View Revisions
2017-02-14 13:23 Timo Changeset attached => WolfAdmin develop 935f71d4
2017-02-14 13:28 Timo Note Added: 0000097
2017-02-14 13:28 Timo Status assigned => resolved
2019-01-03 11:11 Timo Changeset attached => WolfAdmin develop/1.2.0 a2f7f1de